Bug 232 - R-office was rebuilt not to remove libreoffice automatically and is ready to be placed to main
: R-office was rebuilt not to remove libreoffice automatically and is ready to ...
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Marathon
: All Linux
: Normal enhancement
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-16 14:24 MSD by Alexander Burmashev
Modified: 2014-03-25 10:57 MSK (History)
1 user (show)

See Also:
RPM Package: Publish r-office to the main repository
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified-
alex.burmashev: published-


Attachments
LibreOffice package (171.91 KB, image/png)
2012-05-21 15:47 MSD, Vladimir Potapov
Details
Incorrect type (126.61 KB, image/png)
2012-05-21 15:55 MSD, Vladimir Potapov
Details
Incorrect setup (160.95 KB, image/png)
2012-05-23 16:56 MSD, Vladimir Potapov
Details
urpmi log (5.17 KB, application/octet-stream)
2012-05-24 16:00 MSD, Vladimir Potapov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Burmashev 2012-05-16 14:24:41 MSD
Description of problem:
r-office was rebuilt in order not to remove libreoffice automatically.
It is basically the fork of libreoffice project, so it should remove libre only if installed with urpmi r-office
Comment 1 Alexander Burmashev 2012-05-16 14:25:16 MSD
https://abf.rosalinux.ru/build_lists/548891
https://abf.rosalinux.ru/build_lists/548892

Advisory: This is the initial placement of r-office package to the main repo.
Comment 2 Vladimir Potapov 2012-05-21 15:47:26 MSD
Created attachment 163 [details]
LibreOffice package
Comment 3 Alexander Burmashev 2012-05-21 15:53:16 MSD
Please note that the package is called r-office, not roffice.
Comment 4 Vladimir Potapov 2012-05-21 15:55:35 MSD
Created attachment 164 [details]
Incorrect type
Comment 5 Vladimir Potapov 2012-05-21 15:56:27 MSD
Please:
1) Add a  package all user-visible fields (like screenshot LibreOffice)
2) Fix package type. R-office is package WITH graphical interface (see screenshot)
Comment 6 Alexander Burmashev 2012-05-21 15:59:18 MSD
I am almost sure that the problem is with xml data in container repository, i will  address this issue ( report to the developers of ABF ) for now please check the package itself.
Comment 7 Alexander Burmashev 2012-05-23 13:39:20 MSD
small remark - Lacking xml data in the container is not the stop reason not to check the package.
Comment 8 Vladimir Potapov 2012-05-23 14:12:22 MSD
Package type (gui or not) is in xml data?
Comment 9 Alexander Burmashev 2012-05-23 14:15:31 MSD
There is absolutely no xml data in container, this data will be added after publishing to the main repo. If xml data is really necessary for the test, i can add it manually.
Comment 10 Vladimir Potapov 2012-05-23 16:56:42 MSD
Created attachment 180 [details]
Incorrect setup

Installation is not possible due to the use of styles LO
Comment 11 Alexander Burmashev 2012-05-24 15:24:19 MSD
can you please attach urpmi error ?
Comment 12 Vladimir Potapov 2012-05-24 16:00:45 MSD
Created attachment 184 [details]
urpmi log

In console mode installation is possible (see log to errors)
gui mode errors:

Следующие пакеты невозможно выбрать:

- cacao-0.99.4-2-rosa.lts2012.0.x86_64 (из-за неудовлетворённости classpath[>= 0:0.90])
- libreoffice-common-3.4.5-1-rosa.lts2012.0.x86_64 (из-за конфликтов с r-office-core-3.4.5-1.1-rosa.lts2012.0.x86_64, из-за конфликтов с r-office-writer-3.4.5-1.1-rosa.lts2012.0.x86_64, из-за конфликтов с r-office-base-3.4.5-1.1-rosa.lts2012.0.x86_64, из-за конфликтов с r-office-calc-3.4.5-1.1-rosa.lts2012.0.x86_64, из-за конфликтов с r-office-impress-3.4.5-1.1-rosa.lts2012.0.x86_64, из-за конфликтов с r-office-math-3.4.5-1.1-rosa.lts2012.0.x86_64)
- libreoffice-style-galaxy-3.4.5-1-rosa.lts2012.0.x86_64 (из-за неудовлетворённости libreoffice-common[== 1:3.4.5-1:2012.0])
- libreoffice-style-hicontrast-3.4.5-1-rosa.lts2012.0.x86_64 (из-за неудовлетворённости libreoffice-common[== 1:3.4.5-1:2012.0])
- r-office-java-common-3.4.5-1.1-rosa.lts2012.0.x86_64 (из-за конфликтов с cacao-0.99.4-2-rosa.lts2012.0.x86_64)